import * as Redux from 'redux';

export interface Action<Payload = {}> extends Redux.Action {
  payload?: Payload;
  error?: Error;
}

export type actions = (method: string, ...params: any[]) => Action<any[]>;
export const actions: actions = (method: string, ...params: any[]): Action<any[]> => {
  return {
      type: method,
      payload: params,
    };
};
